<template>
  <div>
    <h2 class="text-center text-primary">
      {{ title }}
    </h2>
    <hr>
    <div v-if="members.length === 0">
      No {{ title.toLowerCase() }} members
    </div>
    <b-row
      v-else
      cols="3"
      class="d-flex pt-3"
    >
      <b-col
        v-for="member in members"
        :key="member.name"
        class="member pb-5 d-flex flex-column text-center"
      >
        <h3 class="text-primary">
          {{ member.name }}
        </h3>
        <h4 class="font-weight-bold">
          {{ member.title }}
        </h4>
        <p class="text-center">
          {{ member.bio }}
        </p>
        <div class="links mt-auto d-flex justify-content-center">
          <span class="pr-2">
            <a
              :href="member.link"
              target="_blank"
            >
              <font-awesome-icon icon="globe" />
            </a>
          </span>
          <span>
            <email-link :email="member.email">
              <font-awesome-icon icon="envelope" />
            </email-link>
          </span>
        </div>
        <img
          :alt="`Picture of ${member.name}`"
          class="h-auto mb-2 border border-secondary rounded-circle align-self-center"
          :src="require(`../assets/team/${member.photo || 'member.png'}`)"
        >
      </b-col>
    </b-row>
  </div>
</template>

<script lang="ts">
import Vue, { PropOptions } from 'vue';
import { Member } from '@/common/types';
import EmailLink from '@/components/EmailLink.vue';

export default Vue.extend({
  components: {
    EmailLink,
  },

  props: {
    members: {
      type: Array,
      default: () => [],
    } as PropOptions<Member[]>,
    title: {
      type: String,
      required: true,
    },
  },
});
</script>
